<?php
/**
 * Copyright (c) 2014, Tinypass, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * The TPPublisherTermUpdateExternalApiApi class.
 */
class TPPublisherTermUpdateExternalApiApi  extends TPAPIBase {



    /**
     * @return setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi
     */
    public function setExternalApiConfigurationRequest(){

        return new setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi($this->apiClient);
    }
}



/**
 * Sets new external API configuration to term
 */
class setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi  extends TPAPIBase {
    protected $request = array();

    /**
     * Term ID
     * @param string $termId
     * @return setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi
     */
    public function termId($termId){
        $this->request['termId'] = $termId;
        return $this;
    }
    

    /**
     * External API Configuration ID
     * @param string $externalApiId
     * @return setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi
     */
    public function externalApiId($externalApiId){
        $this->request['externalApiId'] = $externalApiId;
        return $this;
    }
    

    /**
     * Application aid
     * @param string $aid
     * @return setExternalApiConfigurationRequestTPPublisherTermUpdateExternalApiApi
     */
    public function aid($aid){
        $this->request['aid'] = $aid;
        return $this;
    }
    

    /**
     * Execute request
    */
    public function execute(){
        $queryParams = array();
        if (isset($this->request['termId'])) {
            $queryParams[ $this->apiClient->toQueryParameter( 'termId' ) ] = $this->apiClient->toQueryValue($this->request['termId']);
        }
        if (isset($this->request['externalApiId'])) {
            $queryParams[ $this->apiClient->toQueryParameter( 'externalApiId' ) ] = $this->apiClient->toQueryValue($this->request['externalApiId']);
        }
        if (isset($this->request['aid'])) {
            $queryParams[ $this->apiClient->toQueryParameter( 'aid' ) ] = $this->apiClient->toQueryValue($this->request['aid']);
        }
        


        $headerParams = array();
        $headerParams['Accept'] = '(mediaType,application/json)';
        $headerParams['Content-Type'] = '';
        


        // make the API Call
        $response = $this->apiClient->callAPI('/publisher/term/update/external/api/configuration', 'GET', $queryParams, $headerParams);

        if ($response->code != 0) {
            return $response;
        }

        

    }

}

