<?php
/**
 * Copyright (c) 2014, Tinypass, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * The TPPublisherOfferTemplateVersion model.
 * model
 */
class TPPublisherOfferTemplateVersion {
    public static $dataTypes = array(
    "content1Value" => "string",
    "name" => "string",
    "content1Type" => "string",
    "updateBy" => "TPPublisherUser",
    "aid" => "string",
    "description" => "string",
    "published" => "bool",
    "documentation" => "string",
    "updateDate" => "int",
    "externalCssList" => "TPPublisherExternalCss[]",
    "hasPreview" => "bool",
    "version" => "int",
    "createDate" => "int",
    "content2Type" => "string",
    "publishDate" => "int",
    "createBy" => "TPPublisherUser",
    "typeId" => "string",
    "offerTemplateId" => "string",
    "type" => "string",
    "content2Value" => "string",
    "deleted" => "bool",
    );

    /**
     * @var string $content1Value content1_value
     */
    public $content1Value;

    /**
     * @var string $name The name
     */
    public $name;

    /**
     * @var string $content1Type The content1 type
     */
    public $content1Type;

    /**
     * @var TPPublisherUser $updateBy 
     */
    public $updateBy;

    /**
     * @var string $aid Application aid
     */
    public $aid;

    /**
     * @var string $description The description
     */
    public $description;

    /**
     * @var bool $published Whether the template is published
     */
    public $published;

    /**
     * @var string $documentation Offer Template documentation
     */
    public $documentation;

    /**
     * @var int $updateDate The update date
     */
    public $updateDate;

    /**
     * @var TPPublisherExternalCss[] $externalCssList 
     */
    public $externalCssList;

    /**
     * @var bool $hasPreview Whether template has preview
     */
    public $hasPreview;

    /**
     * @var int $version Template version
     */
    public $version;

    /**
     * @var int $createDate The creation date
     */
    public $createDate;

    /**
     * @var string $content2Type The content2 type
     */
    public $content2Type;

    /**
     * @var int $publishDate publish_date
     */
    public $publishDate;

    /**
     * @var TPPublisherUser $createBy 
     */
    public $createBy;

    /**
     * @var string $typeId The id of type
     */
    public $typeId;

    /**
     * @var string $offerTemplateId Offer Template ID
     */
    public $offerTemplateId;

    /**
     * @var string $type The type
     */
    public $type;

    /**
     * @var string $content2Value content2_value
     */
    public $content2Value;

    /**
     * @var bool $deleted If the object is deleted
     */
    public $deleted;

    

}

