<?php
/**
 * Copyright (c) 2014, Tinypass, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * The TPPublisherResource model.
 * model
 */
class TPPublisherResource {
    public static $dataTypes = array(
    "bundleType" => "string",
    "imageUrl" => "string",
    "rid" => "string",
    "name" => "string",
    "purchaseUrl" => "string",
    "aid" => "string",
    "description" => "string",
    "updateDate" => "int",
    "createDate" => "int",
    "publishDate" => "int",
    "resourceUrl" => "string",
    "disabled" => "bool",
    "type" => "string",
    "deleted" => "bool",
    );

    /**
     * @var string $bundleType Type of resource bundle
     */
    public $bundleType;

    /**
     * @var string $imageUrl Resource image URL
     */
    public $imageUrl;

    /**
     * @var string $rid Unique id for resource
     */
    public $rid;

    /**
     * @var string $name The name
     */
    public $name;

    /**
     * @var string $purchaseUrl Purchase page URL
     */
    public $purchaseUrl;

    /**
     * @var string $aid Application aid
     */
    public $aid;

    /**
     * @var string $description Resource description
     */
    public $description;

    /**
     * @var int $updateDate The update date
     */
    public $updateDate;

    /**
     * @var int $createDate The creation date
     */
    public $createDate;

    /**
     * @var int $publishDate The publish date
     */
    public $publishDate;

    /**
     * @var string $resourceUrl Resource URL
     */
    public $resourceUrl;

    /**
     * @var bool $disabled If the object is disabled
     */
    public $disabled;

    /**
     * @var string $type Type of resource
     */
    public $type;

    /**
     * @var bool $deleted If the object is deleted
     */
    public $deleted;

    

}

