<?php
/**
 * Copyright (c) 2014, Tinypass, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/**
 * The TPPublisherSubscriptionSummaryModelDefinition model.
 * model
 */
class TPPublisherSubscriptionSummaryModelDefinition {
    public static $dataTypes = array(
    "subscriptionRefundedTpFeeAmount" => "string",
    "subscriptionRenewedTpFeeAmount" => "string",
    "subscriptionRenewedCount" => "int",
    "subscriptionFailedOrExpiredCount" => "int",
    "newTrialSubscriptionCount" => "int",
    "newSubscriptionTpFeeAmount" => "string",
    "subscriptionRenewedAmount" => "string",
    "subscriptionRefundedAmount" => "string",
    "date" => "string",
    "subscriptionRefundedCount" => "int",
    "subscriptionCancelledCount" => "int",
    "newSubscriptionCount" => "int",
    "newSubscriptionAmount" => "string",
    );

    /**
     * @var string $subscriptionRefundedTpFeeAmount Subscription refunded tp fee amount
     */
    public $subscriptionRefundedTpFeeAmount;

    /**
     * @var string $subscriptionRenewedTpFeeAmount Subscription renewed tp fee amount
     */
    public $subscriptionRenewedTpFeeAmount;

    /**
     * @var int $subscriptionRenewedCount Subscription renewed count
     */
    public $subscriptionRenewedCount;

    /**
     * @var int $subscriptionFailedOrExpiredCount Subscription failed or expired count
     */
    public $subscriptionFailedOrExpiredCount;

    /**
     * @var int $newTrialSubscriptionCount New trial subscription count
     */
    public $newTrialSubscriptionCount;

    /**
     * @var string $newSubscriptionTpFeeAmount New subscription TP fee amount
     */
    public $newSubscriptionTpFeeAmount;

    /**
     * @var string $subscriptionRenewedAmount Subscription renewed amount
     */
    public $subscriptionRenewedAmount;

    /**
     * @var string $subscriptionRefundedAmount Subscription refunded amount
     */
    public $subscriptionRefundedAmount;

    /**
     * @var string $date Date
     */
    public $date;

    /**
     * @var int $subscriptionRefundedCount Subscription refunded count
     */
    public $subscriptionRefundedCount;

    /**
     * @var int $subscriptionCancelledCount Subscription cancelled count
     */
    public $subscriptionCancelledCount;

    /**
     * @var int $newSubscriptionCount New subscription count
     */
    public $newSubscriptionCount;

    /**
     * @var string $newSubscriptionAmount New subscription amount
     */
    public $newSubscriptionAmount;

    

}

